<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/filternodes.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>filternodes.c File Reference</h1><code>#include &quot;<a class="el" href="init_8h_source.html">init.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for filternodes.c:</div>
<div class="dynsection">
<div class="center"><img src="filternodes_8c__incl.png" border="0" usemap="#init_2filternodes_8c_map" alt=""/></div>
<map name="init_2filternodes_8c_map" id="init_2filternodes_8c">
<area shape="rect" id="node3" href="init_8h.html" title="init.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="filternodes_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="filternodes_8c.html#a51c6bb656314afdc161fd3e74ba7ce98">C_REQ</a>&nbsp;&nbsp;&nbsp;-5</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="filternodes_8c.html#ab1da8fc65b9539386e71fb8601e36deb">FilterNodes</a> (int *pn_vert, int *pn_ele, PetscReal **pvertxyz, int *elevert, Vec *pM, Vec *pVH1, Vec *pVH2)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a51c6bb656314afdc161fd3e74ba7ce98"></a><!-- doxytag: member="filternodes.c::C_REQ" ref="a51c6bb656314afdc161fd3e74ba7ce98" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define C_REQ&nbsp;&nbsp;&nbsp;-5</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>indicator for required node </p>

<p>Definition at line <a class="el" href="filternodes_8c_source.html#l00029">29</a> of file <a class="el" href="filternodes_8c_source.html">filternodes.c</a>.</p>

<p>Referenced by <a class="el" href="filternodes_8c_source.html#l00031">FilterNodes()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ab1da8fc65b9539386e71fb8601e36deb"></a><!-- doxytag: member="filternodes.c::FilterNodes" ref="ab1da8fc65b9539386e71fb8601e36deb" args="(int *pn_vert, int *pn_ele, PetscReal **pvertxyz, int *elevert, Vec *pM, Vec *pVH1, Vec *pVH2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int FilterNodes </td>
          <td>(</td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>pn_vert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>pn_ele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal **&nbsp;</td>
          <td class="paramname"> <em>pvertxyz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>elevert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec *&nbsp;</td>
          <td class="paramname"> <em>pM</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec *&nbsp;</td>
          <td class="paramname"> <em>pVH1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec *&nbsp;</td>
          <td class="paramname"> <em>pVH2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="filternodes_8c_source.html#l00031">31</a> of file <a class="el" href="filternodes_8c_source.html">filternodes.c</a>.</p>

<p>References <a class="el" href="filternodes_8c_source.html#l00029">C_REQ</a>, <a class="el" href="griddata_8h_source.html#l00106">C_UNK</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, and <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="filternodes_8c_ab1da8fc65b9539386e71fb8601e36deb_icgraph.png" border="0" usemap="#filternodes_8c_ab1da8fc65b9539386e71fb8601e36deb_icgraph_map" alt=""></div>
<map name="filternodes_8c_ab1da8fc65b9539386e71fb8601e36deb_icgraph_map" id="filternodes_8c_ab1da8fc65b9539386e71fb8601e36deb_icgraph">
<area shape="rect" id="node3" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="143,5,201,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="251,5,301,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

